html, body {
    min-height: 100%;
    height: 100%;
}

body {
    font-family: 'Poppins', sans-serif;
    font-weight: 400;
    padding-top: 56px;
}

h1 {
    font-size: 30px;
    color: #2c3e50;
}

h1 + p {
    color: #34495e;
    margin-bottom: 0;
}

h2 {
    margin-bottom: 20px;
    text-transform: uppercase;
    letter-spacing: 10px;
    font-size: 70px;
    opacity: 0.6;
}

strong {
    font-weight: 900;
}

a.link, 
a.link:hover, 
a.link:active, 
a.link:visited {
    text-decoration: none;
    color: inherit;
}

a.link {
    position: relative;
}

a.link:before {
    display: block;
    position: absolute;
    content: " ";
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    z-index: 4;
    border-bottom: 1px dashed;
}

.navbar {
    background: #fff;
}

.navbar .navbar-toggler {
    border: 0;
    outline: none;
}

.navbar-expand-lg .navbar-nav {
    padding-left: 12px;
}

.section {
    position: relative;
    padding: 100px 0;
    width: 100%;
    min-height: 100%;
}

.section h2 {
    font-weight: 900;
}

.section#about {
    min-height: auto;
}

.highlight {
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    padding-left: 20px;
    border-left: 2px solid rgba(183,248,219,1);
}

.section#skills {
    background: rgb(80,167,194);
    background: linear-gradient(318deg, rgba(80,167,194,1) 0%, rgba(183,248,219,1) 100%);
}

.section#skills h2 {
    color: #fff;
}

.skill {
    position: relative;
    padding: 20px;
    padding-left: 70px;
    border-radius: 5px;
    background: #fff;
    margin-bottom: 20px;
}

.skill:before {
    content: " ";
    display: block;
    position: absolute;
    border: 1px solid #fff;
    width: 100%;
    height: 100%;
    right: -10px;
    bottom: -10px;
    border-radius: 5px;
}

.skill .title {
    font-size: 16px;
    height: 60px;
    max-height: 60px;
    overflow: hidden;
}

.skill .icon {
    position: absolute;
    font-size: 40px;
    top: 20px;
    left: 20px;
}

.skill .fa-star {
    color: #f1c40f;
}

.skill .fab.fa-php {
    font-size: 35px;
}

.section#carreer {
    background: #fff;
}

.section#carreer > .container {
    position: relative;
}

.section#carreer h2 {
    position: absolute;
    top: 165px;
    left: -172px;
    transform: rotate(270deg);
    color: #c6d3d6;
}

.history {
    padding-left: 70px;
}

.timeline {
    padding-top: 20px;
    padding-left: 40px;
}

.history .btn#btnApplyOrder {
    margin-left: 10px;
    margin-bottom: 10px;
}

.history .btn#btnApplyOrder > .oldest { 
    display: none;
}

.history.oldest-first .btn#btnApplyOrder > .oldest {
    display: inline;
}

.history.oldest-first .btn#btnApplyOrder > .recent {
    display: none;
}

.history.recent-first .btn#btnApplyOrder > .recent {
    display: inline;
}

.history.recent-first .btn#btnApplyOrder > .oldest {
    display: none;
}

.timeline .checkpoint {
    position: relative;
    padding: 20px;
    color: #333;
    font-size: 14px;
    border: 3px solid rgb(144,218,209);
    background: #fff;
    border-radius: 10px;
    margin-bottom: 20px;
}

.timeline .checkpoint.today {
    padding: 30px;  
    font-size: 17px;
    border-color: #fff;
    background: rgb(80,167,194);
    background: linear-gradient(318deg, rgba(80,167,194,1) -50%, rgba(183,248,219,1) 150%);
}

.timeline .checkpoint .tag {
    padding: 3px 10px;
    background: #fff;
    border-radius: 7px;
    margin-right: 10px;
}

.timeline .checkpoint a.link {
    color: #9b59b6;
}

.timeline .checkpoint:before { 
    content: " ";
    display: block;
    position: absolute;
    top: 0;
    left: -38px;
    width: 20px;
    height: 20px;
    background: #9b59b6;
    border-radius: 50%;
    z-index: 3;
}

.timeline .checkpoint:after {
    content: " ";
    position: absolute;
    top: -20px;
    left: -30px;
    bottom: -20px;
    border: 2px solid #ecf0f1;
    border-radius: 10px
}

.timeline .checkpoint.today:before {
    background: #fff;
    border: 2px solid #9b59b6;
}

.timeline .text {
    margin-top: 10px;
}

.timeline .text > p {
    margin-bottom: 0;
}

.section#contato h2,
.section#contato h2 + p {
    color: #fff;
}

.section#contato {
    background: rgb(80,167,194);
    background: linear-gradient(318deg, rgba(80,167,194,1) 0%, rgba(183,248,219,1) 100%);
}

.section#contato .info {
    padding: 30px;
    border-radius: 10px;
    background: #fff;
}

.section#contato .info > ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.section#contato .info .fab,
.section#contato .info .far {
    margin-right: 10px;
}

@media (min-width: 768px) {
    h1 {
        font-size: 40px;
    }
}

@media (min-width: 992px) {
    .navbar-expand-lg .navbar-nav {
        padding-left: 0;
    }

    .timeline .checkpoint {
        width: 50%;
    }
    
    .timeline .checkpoint.today {
        width: 60%;
    }
}